/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package ejerciciosinterfaces;


import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.awt.*;
import javax.swing.*;
import sun.java2d.pipe.DrawImage;
/**
 *
 * @author alberto
 */
public class Ejercicio2 extends javax.swing.JFrame {

    /**
     * Creates new form Ejercicio2
     */
    public Ejercicio2() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jFrame1 = new javax.swing.JFrame();
        jLabel2 = new javax.swing.JLabel();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        perro = new javax.swing.JRadioButton();
        gato = new javax.swing.JRadioButton();
        tigre = new javax.swing.JRadioButton();
        leon = new javax.swing.JRadioButton();
        jLabel4 = new javax.swing.JLabel();

        jFrame1.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        jFrame1.setMinimumSize(new java.awt.Dimension(324, 208));

        jLabel2.setFont(new java.awt.Font("Segoe UI", 0, 14)); // NOI18N
        jLabel2.setText("¿desea salir?");

        jButton2.setText("Claro, que si");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jButton3.setText("Claro, que NO!");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jFrame1Layout = new javax.swing.GroupLayout(jFrame1.getContentPane());
        jFrame1.getContentPane().setLayout(jFrame1Layout);
        jFrame1Layout.setHorizontalGroup(
            jFrame1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jFrame1Layout.createSequentialGroup()
                .addGap(37, 37, 37)
                .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 114, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(42, 42, 42)
                .addComponent(jButton3)
                .addContainerGap(23, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jFrame1Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 82, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(110, 110, 110))
        );
        jFrame1Layout.setVerticalGroup(
            jFrame1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jFrame1Layout.createSequentialGroup()
                .addGap(55, 55, 55)
                .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jFrame1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(73, Short.MAX_VALUE))
        );

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabel1.setText("Elija una opcion para ver la imagen");

        jButton1.setFont(new java.awt.Font("Stencil", 1, 12)); // NOI18N
        jButton1.setForeground(new java.awt.Color(153, 0, 0));
        jButton1.setText("Salir");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        buttonGroup1.add(perro);
        perro.setFont(new java.awt.Font("Segoe UI", 1, 12)); // NOI18N
        perro.setForeground(new java.awt.Color(153, 0, 51));
        perro.setText("Perro");
        perro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                perroActionPerformed(evt);
            }
        });

        buttonGroup1.add(gato);
        gato.setFont(new java.awt.Font("Segoe UI", 1, 12)); // NOI18N
        gato.setForeground(new java.awt.Color(153, 0, 51));
        gato.setText("Gato");
        gato.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                gatoActionPerformed(evt);
            }
        });

        buttonGroup1.add(tigre);
        tigre.setFont(new java.awt.Font("Segoe UI", 1, 12)); // NOI18N
        tigre.setForeground(new java.awt.Color(153, 0, 51));
        tigre.setText("Tigre");
        tigre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tigreActionPerformed(evt);
            }
        });

        buttonGroup1.add(leon);
        leon.setFont(new java.awt.Font("Segoe UI", 1, 12)); // NOI18N
        leon.setForeground(new java.awt.Color(153, 0, 51));
        leon.setText("Leon");
        leon.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                leonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(35, 35, 35)
                .addComponent(jLabel1)
                .addGap(52, 52, 52)
                .addComponent(jButton1)
                .addContainerGap(234, Short.MAX_VALUE))
            .addGroup(layout.createSequentialGroup()
                .addGap(27, 27, 27)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(perro)
                    .addComponent(gato, javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                        .addComponent(leon)
                        .addComponent(tigre)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jLabel4)
                .addGap(155, 155, 155))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jButton1))
                .addGap(47, 47, 47)
                .addComponent(perro)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(gato)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(tigre)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(leon)
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jLabel4)
                        .addGap(166, 166, 166))))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        jFrame1.dispose();
    }//GEN-LAST:event_jButton3ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        // dispose cierra el frame
        jFrame1.dispose(); // cerramos el frame de la ventana salir 
        // Como el panel principal nos viene creado por defecto al crear la clase, accedemos a él con this
        this.dispose(); // cerramos el frame principal
                
        //System.exit(0); //Otra forma => cerrar el programa
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        // Cuando pulsamos el boton salir
        jFrame1.setTitle("Ventana Salir"); // titulo de la ventana
        jFrame1.setSize(jFrame1.getSize(this.getPreferredSize())); // Tamaño de la ventana (Cogemos el tamaño con el que lo hemos creado en design)
        jFrame1.setVisible(true); // Para visualizar la ventana
    }//GEN-LAST:event_jButton1ActionPerformed

    private void perroActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_perroActionPerformed
       // Para visualizar fotos
       // creamos una img de la clase Imagen creando un objeto de la clase ImageIcon. 
       //Ponemos la ruta donde hemos guardado la foto (una carpeta en el mismo proyecto) y usamos el metodo getImage()
       Image img = new ImageIcon("C:\\Users\\alberto\\Documents\\NetBeansProjects\\EjerciciosInterfaces\\src\\ejerciciosinterfaces\\imgs\\perro.png").getImage();
       // Para darle tamaño a la imagen y que no sea muy grande
       ImageIcon img2= new ImageIcon(img.getScaledInstance(150, 120, Image.SCALE_SMOOTH));
       // Atribuimos a la etiqueta la imagen con el método setIcon
       jLabel4.setIcon(img2);
    }//GEN-LAST:event_perroActionPerformed

    private void gatoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_gatoActionPerformed
       Image img = new ImageIcon("C:\\Users\\alberto\\Documents\\NetBeansProjects\\EjerciciosInterfaces\\src\\ejerciciosinterfaces\\imgs\\gato.png").getImage();
       ImageIcon img2= new ImageIcon(img.getScaledInstance(150, 120, Image.SCALE_SMOOTH));
       jLabel4.setIcon(img2);
    }//GEN-LAST:event_gatoActionPerformed

    private void tigreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tigreActionPerformed
       Image img = new ImageIcon("C:\\Users\\alberto\\Documents\\NetBeansProjects\\EjerciciosInterfaces\\src\\ejerciciosinterfaces\\imgs\\tigre.png").getImage();
       ImageIcon img2= new ImageIcon(img.getScaledInstance(150, 120, Image.SCALE_SMOOTH));
       jLabel4.setIcon(img2);
    }//GEN-LAST:event_tigreActionPerformed

    private void leonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_leonActionPerformed
       Image img = new ImageIcon("C:\\Users\\alberto\\Documents\\NetBeansProjects\\EjerciciosInterfaces\\src\\ejerciciosinterfaces\\imgs\\leon.png").getImage();
       ImageIcon img2= new ImageIcon(img.getScaledInstance(150, 120, Image.SCALE_SMOOTH));
       jLabel4.setIcon(img2);
    }//GEN-LAST:event_leonActionPerformed
    
    
    
    

        
    
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Ejercicio2.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Ejercicio2.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Ejercicio2.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Ejercicio2.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Ejercicio2().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JRadioButton gato;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JFrame jFrame1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JRadioButton leon;
    private javax.swing.JRadioButton perro;
    private javax.swing.JRadioButton tigre;
    // End of variables declaration//GEN-END:variables

}

